package com.srs.dormitory.mapper;

import java.util.List;

import com.srs.common.core.domain.AjaxResult;
import com.srs.comprehensive.domain.Vo.CphSearch;
import com.srs.dormitory.domain.DmsNewTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.srs.dormitory.domain.Vo.DmsNewTaskVo;

/**
 * 宿舍调整任务Mapper接口
 *
 * @author srs
 * @date 2024-03-19
 */
public interface DmsNewTaskMapper extends BaseMapper<DmsNewTask> {

    public List<DmsNewTaskVo> listView(CphSearch param);
    /**
     * 查询宿舍调整任务
     *
     * @param id 宿舍调整任务主键
     * @return 宿舍调整任务
     */
    public DmsNewTask selectDmsNewTaskById(Long id);

    /**
     * 查询宿舍调整任务列表
     *
     * @param dmsNewTask 宿舍调整任务
     * @return 宿舍调整任务集合
     */
    List<DmsNewTask> selectDmsNewTaskList(DmsNewTask dmsNewTask);

    /**
     * 新增宿舍调整任务
     *
     * @param dmsNewTask 宿舍调整任务
     * @return 结果
     */
    int insertDmsNewTask(DmsNewTask dmsNewTask);

    /**
     * 修改宿舍调整任务
     *
     * @param dmsNewTask 宿舍调整任务
     * @return 结果
     */
    int updateDmsNewTask(DmsNewTask dmsNewTask);

    /**
     * 删除宿舍调整任务
     *
     * @param id 宿舍调整任务主键
     * @return 结果
     */
    int deleteDmsNewTaskById(Long id);

    /**
     * 批量删除宿舍调整任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDmsNewTaskByIds(Long[] ids);
}
